Package org.jbpm.process.builder.dialect.java

## Class AbstractJavaProcessBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder

- Direct Known Subclasses:
    `JavaActionBuilder`, `JavaReturnValueEvaluatorBuilder`

      public class AbstractJavaProcessBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static org.mvel2.templates.TemplateRegistry` | `INVOKER_REGISTRY` |
    `protected static org.mvel2.templates.TemplateRegistry` | `RULE_REGISTRY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractJavaProcessBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `collectTypes​(String key, org.drools.compiler.compiler.AnalysisResult analysis, ProcessBuildContext context)` |
    `Map` | `createVariableContext​(String className, String text, ProcessBuildContext context, String[] globals)` |
    `Map` | `createVariableContext​(String className, String text, ProcessBuildContext context, String[] globals, Set<String> unboundIdentifiers, ContextResolver contextResolver)` |
    `void` | `generateTemplates​(String ruleTemplate, String invokerTemplate, ProcessBuildContext context, String className, Map vars, Object invokerLookup, org.drools.compiler.lang.descr.BaseDescr descrLookup)` |
    `org.mvel2.templates.TemplateRegistry` | `getInvokerTemplateRegistry()` |
    `org.mvel2.templates.TemplateRegistry` | `getRuleTemplateRegistry()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RULE_REGISTRY

          protected static final org.mvel2.templates.TemplateRegistry RULE_REGISTRY

    - #### INVOKER_REGISTRY

          protected static final org.mvel2.templates.TemplateRegistry INVOKER_REGISTRY

  - ### Constructor Detail

    - #### AbstractJavaProcessBuilder

          public AbstractJavaProcessBuilder()

  - ### Method Detail

    - #### getRuleTemplateRegistry

          public org.mvel2.templates.TemplateRegistry getRuleTemplateRegistry()

    - #### getInvokerTemplateRegistry

          public org.mvel2.templates.TemplateRegistry getInvokerTemplateRegistry()

    - #### createVariableContext

          public Map createVariableContext​(String className,
                                           String text,
                                           ProcessBuildContext context,
                                           String[] globals)

    - #### createVariableContext

          public Map createVariableContext​(String className,
                                           String text,
                                           ProcessBuildContext context,
                                           String[] globals,
                                           Set<String> unboundIdentifiers,
                                           ContextResolver contextResolver)

    - #### generateTemplates

          public void generateTemplates​(String ruleTemplate,
                                        String invokerTemplate,
                                        ProcessBuildContext context,
                                        String className,
                                        Map vars,
                                        Object invokerLookup,
                                        org.drools.compiler.lang.descr.BaseDescr descrLookup)

    - #### collectTypes

          protected void collectTypes​(String key,
                                      org.drools.compiler.compiler.AnalysisResult analysis,
                                      ProcessBuildContext context)